# Detection of Potential Geothermal Exploration Sites from Hyperspectral Images via Deep Learning
# Author: Ebubekir Demir <edemir@mines.edu>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.

d_dx, d_dy, d_top, d_thick, d_porma, d_kxma, d_kyma, d_kzma, d_pma, d_tma = [], [], [], [], [], [], [], [], [], []
d_sgma, d_fracspac, d_porfr, d_kxfr, d_kyfr, d_kzfr, d_fracwid, d_pfr, d_tfr, d_sgfr = [], [], [], [], [], [], [], [], [], []

namelist = ["DX", "DY", "Top", "Thickness", "Porma", "kXma", "kYma", "kZma", "Pma", "Tma", "Sgma", "Fracspac",
            "Porfr", "kXfr", "kYfr", "kZfr", "Fracwid", "Pfr", "Tfr", "Sgfr"]

datalist = [d_dx, d_dy, d_top, d_thick, d_porma, d_kxma, d_kyma, d_kzma, d_pma, d_tma, d_sgma, d_fracspac, d_porfr,
            d_kxfr, d_kyfr, d_kzfr, d_fracwid, d_pfr, d_tfr, d_sgfr]

shortnamelist = ["Porma", "kXma", "kYma", "kZma", "Pma", "Tma", "Sgma", "Fracspac",
                 "Porfr", "kXfr", "kYfr", "kZfr", "Pfr", "Tfr", "Sgfr"]

titlelist = ["DX", "DY", "Top", "Thickness", "Matrix Porosity", "Matrix Permeability X", "Matrix Permeability Y",
             "Matrix Permeability Z", "Matrix Pressure", "Matrix Temperature", "Matrix Saturation",
             "Fracture Spacing", "Fracture Porosity", "Fracture Permeability X", "Fracture Permeability Y",
             "Fracture Permeability Z", "Fracture Width", "Fracture Pressure", "Fracture Temperature",
             "Fracture Saturation"]

filenamelist = ["DX", "DY", "Top", "Thickness", "Matrix-Porosity", "Matrix-Permeability-X", "Matrix-Permeability-Y",
                "Matrix-Permeability-Z", "Matrix-Pressure", "Matrix-Temperature", "Matrix-Saturation",
                "Fracture-Spacing", "Fracture-Porosity", "Fracture-Permeability-X", "Fracture-Permeability-Y",
                "Fracture-Permeability-Z", "Fracture-Width", "Fracture-Pressure", "Fracture-Temperature",
                "Fracture-Saturation"]

labellist = ["DX", "DY", "Top", "Thickness", "Porosity", "Permeability", "Permeability",
             "Permeability", "Pressure", "Temperature", "Saturation",
             "Spacing", "Porosity", "Permeability", "Permeability",
             "Permeability", "Width", "Pressure", "Temperature",
             "Saturation"]

lithology = ['MC Granite', 'OUT', 'Tf', 'Early metamorphic', 'Rhyolite',
       'T Intermediate', 'Q Basalt', 'T Basalt', 'Q Sediment',
       'T1 Sediment', 'T Sediment', 'Pyroclastic Rhyolite', 'Tx breccia']

P = "PRODUCER"
I = "INJECTOR"

FEET = 0.3048

# Reference Altitude
Z_REF = 850

NO_DATA = 65535